﻿using Business;
using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour UserControlEdit.xaml
    /// </summary>
    public partial class UserControlEdit : UserControl
    {
        public UserControlEdit()
        {
            InitializeComponent();
            Manager.LoadRequins();

            DataContext = Manager;

        }

        public Manager Manager => (Application.Current as App).LeManager;


        private Requin _requin;
        public Requin requin
        {
            get { return _requin; }
            set
            {
                _requin = value;
                UptadeUi(_requin);
            }
        }




     
        public void UptadeUi(Requin requin)
        {
            leNom.Contenu = requin.Nom;
            nomSci.Contenu = requin.NomSci;
            desc.Contenu = requin.Description;
            LienPhoto.Contenu = requin.Photo;
            LienVid.Contenu = requin.Video;
            LienMap.Contenu = requin.PhotoCarte;
            funFact.Contenu = requin.FunFact;
        }

        private void exit_Click(object sender, RoutedEventArgs e)
        {
            ((MainWindow)System.Windows.Application.Current.MainWindow).ContentControlSwapAcc();
        }

        private void submit_Click(object sender, RoutedEventArgs e)
        {
            Requin oldR;
            string nom = leNom.LeContenu.Text;
            string sciNam = nomSci.LeContenu.Text;
            string descri = desc.LeContenu.Text;
            string photo = LienPhoto.LeContenu.Text;
            string video = LienVid.LeContenu.Text;
            string map = LienMap.LeContenu.Text;
            string fun = funFact.LeContenu.Text;

            Requin requin = new Requin(nom, sciNam, descri, photo, video, map, Conservation.EW, null, fun);
            
            foreach (Requin req in Manager.Requins)
            {
                if (req.Equals(requin))
                {
                    Manager.ModifieRequin(req, requin);
                    break;
                }
            }
            foreach(Requin req in Manager.Requins)
            {
                Console.WriteLine(req.Description);
            }
            ((MainWindow)System.Windows.Application.Current.MainWindow).ContentControlSwapAcc();
        }
    }
}
